%define major		2
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname -d %{name}

Name:		usbmuxd
Version:	1.0.8
Release:	%mkrel 3
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone

Group:		System/Kernel and hardware 
License:	GPLv2+ and LGPLv2+
URL:		http://marcansoft.com/blog/iphonelinux/usbmuxd/
Source0:	http://cgit.sukimashita.com/usbmuxd.git/snapshot/%{name}-%{version}.tar.bz2
# (blino) from Fedora
Patch0:		0001-Use-systemd-to-start-usbmuxd.patch
BuildRequires:	usb1.0-devel >= 1.0.3
BuildRequires:	cmake
BuildRequires:	libplist-devel

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to access the usbmuxd daemon
Requires:	%{name} >= %{version}

%description -n %{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

%package -n %{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

%prep
%setup -q
%apply_patches

echo %{version} > version.tag

%build
%cmake -DUSB_INCLUDE_DIR=%{_includedir}/libusb-1.0
%make

%install
%makeinstall_std -C build

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
%doc AUTHORS README
/lib/udev/rules.d/85-usbmuxd.rules
/lib/systemd/system/usbmuxd.service
%{_bindir}/iproxy
%{_sbindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/lib%{name}.so.%{version}

%files -n %{libnamedev}
%doc README.devel
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 385157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.0.8-2.mga3
+ Revision: 303688
- use systemd to start usbmuxd, udev would kill it after the end of the event (from Bastien Nocera, Fedora)
- drop acl require
- drop acl patch, the udev rule already sets the device owner to usbmux

* Tue Aug 07 2012 wally <wally> 1.0.8-1.mga3
+ Revision: 279818
- new version 1.0.8
- source tarball from a new developer
- drop upstreamed CVE patch
- rediff udev patch
- clean .spec a bit

* Sat Aug 04 2012 luigiwalser <luigiwalser> 1.0.7-4.mga3
+ Revision: 278493
- add requires acl as udev rule runs setfacl

* Fri Aug 03 2012 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 278312
- add upstream patch to fix CVE-2012-0065

* Wed Aug 03 2011 colin <colin> 1.0.7-2.mga2
+ Revision: 131573
- Ensure the usbmux user can actually access the iDevice node.

* Thu Apr 14 2011 tv <tv> 1.0.7-1.mga1
+ Revision: 85192
- new version
- drop patch

* Sat Jan 15 2011 blino <blino> 1.0.6-3.mga1
+ Revision: 18985
- remove old ldconfig scriptlets
- imported package usbmuxd

